Subject: compilation-auto-jump-to-first-error vs. giant binary executables

From: [email-masked]
Date: Wed, 07 Dec 2011 07:14:41 +0800

$ cat Makefile
a:;set -Y
$ emacs -Q -eval '(setq compilation-auto-jump-to-first-error t)' -f compile
RET
/bin/sh: line 0: set: -Y: invalid option
Wham pow! We are looking at a whole megabyte of binary ELF /bin/sh executable.
I didn't try it on lager files or with ones with strings the colorizer
would try to color etc.